### Method

# Gimp DrawableFilter get_config

since: 3.0

#### Declaration [src]

    GimpDrawableFilterConfig*
    gimp_drawable_filter_get_config (
      GimpDrawableFilter* filter
    )

#### Description [src]

Get the `GimpConfig` with properties that match `filter`‘s arguments.

The config object will be created at the first call of this method and its properties will be synced with the settings of this filter as set in the core application.

Further changes to the config’s properties are not synced back immediately with the core application. Use `gimp_drawable_update()` to trigger an actual update.

Available since: 3.0

#### Return value

Type: `GimpDrawableFilterConfig`

The `GimpDrawableFilterConfig`. Further calls will return the same object.

The returned data is owned by the instance.